<?php
/**
 * Template: superfishstyle.php
 *
 * @package Magdala
 * @subpackage superfishstyle
 */

$bgTop ="none";
$bgTopHover = "#fff";
$bgTopCurr = "#fff";
$colTop = "#808080";
$colHover = "#808080";
$colTopCurr = "#808080";

$bgSub ="#fbfbfb";
$bgSubHover ="#fff";
$bgSubCurr = "#fff";
$colSub = "#808080";
$colSubHover = "#808080";
$colSubCurr = "#808080";

$borderTop = "1px solid #d4d4d4";
$subWidth = "150px";

echo "

<style type='text/css'>

/*** ESSENTIAL STYLES ***/
.sf-menu, .sf-menu * {
	margin:			0;
	padding:		0;
	list-style:		none;
}
.sf-menu {
	line-height:	1.0;
}
.sf-menu ul {
	position:		absolute;
	top:			-999em;
	width:			$subWidth; /* left offset of submenus need to match (see below) */
}

.sf-menu ul li {
	width:			$subWidth;
}
.sf-menu li:hover {
	visibility:		inherit; /* fixes IE7 'sticky bug' */
}
.sf-menu li {
	float:			left;
	position:		relative;
}
.sf-menu a {
	display:		block;
	position:		relative;
}
.sf-menu li:hover ul,
.sf-menu li.sfHover ul {
	left:			0;
	top:			3.3em; /* match top ul list item height */
	z-index:		99;
   -webkit-box-shadow: 2px 2px 2px #D3D3D3;
-moz-box-shadow: 2px 2px 2px #D3D3D3;
box-shadow: 2px 2px 2px #D3D3D3;
}
ul.sf-menu li:hover li ul,
ul.sf-menu li.sfHover li ul {
	top:			-999em;
}
ul.sf-menu li li:hover ul,
ul.sf-menu li li.sfHover ul {
	left:			$subWidth; /* match ul width */
	top:			0;
}

ul.sf-menu li li:hover li ul,
ul.sf-menu li li.sfHover li ul {
	top:			-999em;
}
ul.sf-menu li li li:hover ul,
ul.sf-menu li li li.sfHover ul {
	left:			$subWidth; /* match ul width */
	top:			0;
}

/*====================================================================================================
 * D E M O   S K I N                                                                 D E M O   S K I N
 ====================================================================================================*/

.sf-menu {
	float:			left;
	margin-bottom:	1em;
}
.sf-menu a {	    
	padding: 		.75em 1em;
	text-decoration:none;
}

.sf-menu li li a {  
    /*border-left: 1px solid #000;*/
	border-top:		$borderTop;
}

.sf-menu a,
.sf-menu a:visited  { /* visited pseudo selector so IE6 applies text colour*/
	color:			$colTop;
}
.sf-menu li {
	background:		$bgTop;
    border-right: 1px solid #d4d4d4;
}
.sf-menu li:first-child {	
    border-left: 1px solid #d4d4d4;
}

.sf-menu li li,
.sf-menu li li:first-child,
.sf-menu li li li,
.sf-menu li li li:first-child {
    border-left: none;
    border-right: none;
}

.sf-menu li li {
	background:		$bgSub;        
}
.sf-menu li li li {
	background:		$bgSub;    
}

.sf-menu li a {
    padding: 		1.3em 2em;
    font-size: 11px;
}
.sf-menu li li a,
.sf-menu li li li a{ 
    /*border-left: none; only in case there is border in top level*/
    padding: 		1.0em 2em;
    font-size: 10px;
    font-style: italic;
}

.sf-menu li:hover,
.sf-menu li.sfHover {
    background:		$bgTopHover;
	outline:		0;
}
.sf-menu li li:hover,
.sf-menu li li.sfHover {
	background:		$bgSubHover;
	outline:		0;
}

/*current top, mouse over top level*/
.sf-menu li.current_page_item a:link,
.sf-menu li.current_page_item a:visited,
.sf-menu li.current_page_item a:hover,
.sf-menu li.current_page_item a:active,
.sf-menu li a:hover,
.sf-menu li:hover a:hover,
.sf-menu li.sfHover a:hover {
    color: $colTopCurr;
    background-color: $bgTopCurr;
}

/*sublevel higlighting (non-active)*/
.sf-menu li:hover li a:link,
.sf-menu li.sfHover li a:link,
.sf-menu li:hover li a:visited,
.sf-menu li.sfHover li a:visited,

.sf-menu li li:hover li a:link,
.sf-menu li li.sfHover li a:link,
.sf-menu li li:hover li a:visited,
.sf-menu li li.sfHover li a:visited { 
    color: $colSub;
    background: $bgSub;
}

/*sublevel highlighting (active)*/
.sf-menu li:hover li a:hover,
.sf-menu li.sfHover li a:hover,
.sf-menu li:hover li a:active,
.sf-menu li.sfHover li a:active,

.sf-menu li li:hover li a:hover,
.sf-menu li li.sfHover li a:hover,
.sf-menu li li:hover li a:active,
.sf-menu li li.sfHover li a:active{ 
    color: $colSubHover;
    background-color: $bgSubHover;
}

/*current - parent/ancestor---------------------------------------------------------------------------------*/
.sf-menu li.current_page_parent a:link,
.sf-menu li.current_page_parent a:visited,
.sf-menu li.current_page_ancestor a:link,
.sf-menu li.current_page_ancestor a:visited {
    color: $colTopCurr;
    background-color: $bgTopCurr;
}

.sf-menu li li.current_page_parent a:link,
.sf-menu li li.current_page_parent a:visited,
.sf-menu li li.current_page_ancestor a:link,
.sf-menu li li.current_page_ancestor a:visited{ 
    color: $colSubCurr;
    background-color: $bgSubCurr;
}

/*current*/

.sf-menu li li.current_page_item a,
.sf-menu li li.current_page_item a:link,
.sf-menu li li.current_page_item a:visited,
.sf-menu li li li.current_page_item a:link,
.sf-menu li li li.current_page_item a:visited { 
    color: $colSubCurr !important;
    background-color: $bgSubCurr !important;
}

.sf-menu li li.current_page_item li a:hover,
.sf-menu li li.current_page_item li a:active { 
	color: $colSubHover !important;
	background: $bgSubHover !important;
}

.sf-menu li li.current_page_item li a:link,
.sf-menu li li.current_page_item li a:visited { 
	color: $colSub !important;
	background: $bgSub !important;
}

.sf-menu li li.current_page_item li a:hover,
.sf-menu li li.current_page_item li a:active { 
	color: $colSubHover !important;
	background: $bgSubHover !important;
}

/*** arrows **/
.sf-menu a.sf-with-ul {
	padding-right: 	2.25em;
	min-width:		1px; /* trigger IE7 hasLayout so spans position accurately */
}
.sf-sub-indicator {
	position:		absolute;
	display:		block;
	right:			.75em;
	top:			1.05em; /* IE6 only */
	width:			10px;
	height:			10px;
	text-indent: 	-999em;
	overflow:		hidden;
	background:		url('../images/arrows-ffffff.png') no-repeat -10px -100px; /* 8-bit indexed alpha png. IE6 gets solid image only */
}
a > .sf-sub-indicator {  /* give all except IE6 the correct values */
	top:			.8em;
	background-position: 0 -100px; /* use translucent arrow for modern browsers*/
}
/* apply hovers to modern browsers */
a:focus > .sf-sub-indicator,
a:hover > .sf-sub-indicator,
a:active > .sf-sub-indicator,
li:hover > a > .sf-sub-indicator,
li.sfHover > a > .sf-sub-indicator {
	background-position: -10px -100px; /* arrow hovers for modern browsers*/
}

/* point right for anchors in subs */
.sf-menu ul .sf-sub-indicator { background-position:  -10px 0; }
.sf-menu ul a > .sf-sub-indicator { background-position:  0 0; }
/* apply hovers to modern browsers */
.sf-menu ul a:focus > .sf-sub-indicator,
.sf-menu ul a:hover > .sf-sub-indicator,
.sf-menu ul a:active > .sf-sub-indicator,
.sf-menu ul li:hover > a > .sf-sub-indicator,
.sf-menu ul li.sfHover > a > .sf-sub-indicator {
	background-position: -10px 0; /* arrow hovers for modern browsers*/
}

/*** shadows for all but IE6 ***/
.sf-shadow ul {
	background:	url('../images/shadow.png') no-repeat bottom right;
	padding: 0 8px 9px 0;
	-moz-border-radius-bottomleft: 17px;
	-moz-border-radius-topright: 17px;
	-webkit-border-top-right-radius: 17px;
	-webkit-border-bottom-left-radius: 17px;	
}
.sf-shadow ul.sf-shadow-off {
	background: transparent;
}

/* IE6 HACKS */
* html .sf-menu ul { 
    width:			$subWidth;   
}

* html ul.sf-menu li:hover ul,
* html ul.sf-menu li li.sfHover ul {
	left:			$subWidth; /* match ul width */
	top:			0;
}
</style>
";
?>