(function($) {

    /*slideshow*/
/* blindX, blindY, blindZ, cover, curtainX, curtainY, fade, fadeZoom, growX, growY, none, scrollUp, scrollDown, scrollLeft, scrollRight, scrollHorz, scrollVert, shuffle, slideX, slideY, toss, turnUp, turnDown, turnLeft, turnRight, uncover, wipe, zoom */

/*Cufon('.cn_wrapper h1,.cn_wrapper h2', {
				textShadow: '-1px 1px black'
			});*/

$('#slideshow').cycle({
    fx:     'fade',
    next:   '#next', 
    prev:   '#prev'
});
    
/*zebra*/
//$(".entry tr:odd,.imgdata tr:odd").addClass("odd");
     
/*uniform*/
//$("article input,article textarea,article select,article button").uniform();

/*columnizer*/
//$('.entry').columnize({columns: 2});
//$('.entry').columnize({width: 200});
    
/*superfish*/
$('ul.sf-menu').superfish({ 
	delay:       0,                            // one second delay on mouseout 
	animation:   {opacity:'show',height:'show'},  // fade-in and slide-down animation 
	speed:       'slow',                          // faster animation speed 
	autoArrows:  false,                           // disable generation of arrow mark-up 
	dropShadows: false                            // disable drop shadows 
});

$('ul.sf-menu2').superfish({ 
	delay:       0,                            // one second delay on mouseout 
	animation:   {opacity:'show',height:'show'},  // fade-in and slide-down animation 
	speed:       'slow',                          // faster animation speed 
	autoArrows:  false,                           // disable generation of arrow mark-up 
	dropShadows: false                            // disable drop shadows 
});



/*cufon*/
/*Cufon.replace('h2,h3,h4,h5,h6,.navigation');

Cufon('h1.permalink', {
	color: '-linear-gradient(#143F52, #476F81)',
    textShadow: '2px 2px #E4E0C8',
	hover: {
		textShadow: '2px 2px #E4E0C8',
		color: '-linear-gradient(#CCDE54, #476F81)'
	}
});

Cufon('.logo h1', {
	color: '-linear-gradient(#003366, #00CCFF)',
    textShadow: '2px 2px #FFFFFF',
	hover: {
		textShadow: '2px 2px #FFFFFF',
		color: '-linear-gradient(#00CCFF, #003366)'
	}
});*/

})(jQuery);


//filter porfolio with jquery quicksand plugin
(function($) {
	$.fn.sorted = function(customOptions) {
		var options = {
			reversed: false,
			by: function(a) {
				return a.text();
			}
		};
		$.extend(options, customOptions);
	
		$data = $(this);
		arr = $data.get();
		arr.sort(function(a, b) {
			
		   	var valA = options.by($(a));
		   	var valB = options.by($(b));
			if (options.reversed) {
				return (valA < valB) ? 1 : (valA > valB) ? -1 : 0;				
			} else {		
				return (valA < valB) ? -1 : (valA > valB) ? 1 : 0;	
			}
		});
		return $(arr);
	};

})(jQuery);

$(function() {
  
  var read_button = function(class_names) {
    var r = {
      selected: false,
      type: 0
    };
    for (var i=0; i < class_names.length; i++) {
      if (class_names[i].indexOf('selected-') == 0) {
        r.selected = true;
      }
      if (class_names[i].indexOf('segment-') == 0) {
        r.segment = class_names[i].split('-')[1];
      }
    };
    return r;
  };
  
  var determine_sort = function($buttons) {
    var $selected = $buttons.parent().filter('[class*="selected-"]');
    return $selected.find('a').attr('data-value');
  };
  
  var determine_kind = function($buttons) {
    var $selected = $buttons.parent().filter('[class*="selected-"]');
    return $selected.find('a').attr('data-value');
  };
  
  var $preferences = {
    duration: 800,
    easing: 'easeInOutQuad',
    adjustHeight: false,
    enhancement: function() {
      Cufon.refresh('h1,h2,#sidebar h3.widgettitle,#list li h2');
      //Cufon.refresh('h1,h2,h3,h4,h5');
    }
  };
  
  var $list = $('#list');
  var $data = $list.clone();
  
  var $controls = $('ul.splitter ul');
  
  $controls.each(function(i) {
    
    var $control = $(this);
    var $buttons = $control.find('a');
    
    $buttons.bind('click', function(e) {
      
      var $button = $(this);
      var $button_container = $button.parent();
      var button_properties = read_button($button_container.attr('class').split(' '));      
      var selected = button_properties.selected;
      var button_segment = button_properties.segment;

      if (!selected) {

        $buttons.parent().removeClass('selected-0').removeClass('selected-1').removeClass('selected-2').removeClass('selected-3').removeClass('selected-4').removeClass('selected-5').removeClass('selected-6').removeClass('selected-7').removeClass('selected-8').removeClass('selected-9').removeClass('selected-10');
        $button_container.addClass('selected-' + button_segment);
        
        var sorting_type = determine_sort($controls.eq(1).find('a'));
        var sorting_kind = determine_kind($controls.eq(0).find('a'));
        
        if (sorting_kind == 'all') {
          var $filtered_data = $data.find('li');
        } else {
          var $filtered_data = $data.find('li.' + sorting_kind);
        }
        
        if (sorting_type == 'size') {
          var $sorted_data = $filtered_data.sorted({
            by: function(v) {
              return parseFloat($(v).find('span').text());
            }
          });
        } else {
          var $sorted_data = $filtered_data.sorted({
            by: function(v) {
              return $(v).find('strong').text().toLowerCase();
            }
          });
        }
        
        $list.quicksand($sorted_data, $preferences);
        
      }
      
      e.preventDefault();
    });
    
  }); 

});






