<?php
/**
 * Template: wph5article.php
 *
 * @package Magdala
 * @subpackage Template
 */

/** ======================================================================================
 * article-top                                                                 article-top
 * ====================================================================================== */
function lizatom_entry_top_func()
{ ?>

<header class="article-top">
<?php
//title
    if (is_single() || is_page()) {
?> 
		
<?php
    } else
        if (is_home() || is_archive() || is_author() || is_category() || is_tag() ||
            is_search()) {
?>

<?php } ?>
<?php
//meta
    if (is_home() || is_single() || is_archive() || is_author() || is_category() || is_tag() ||
        is_search()) {

?>

<?php } ?>
</header>
<?php
}

/** ======================================================================================
 * entry                                                                              entry
 * ====================================================================================== */
function lizatom_entry_func()
{ global $post; ?>

<section class="entry">

<?php $large_image_url = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'large'); ?>

<?php
    if (is_home()) { // frontpage
        
        if ( has_post_thumbnail() ) { ?>
        
            <figure class="post-image alignleft">
                <a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title_attribute(); ?>">
                    <img src="<?php bloginfo('stylesheet_directory') ?>/timthumb.php?src=<?php echo $large_image_url[0]; ?>&h=150&w=185" alt=""/></a></figure>
       <?php } ?>
        
        <h2 class="permalink"><?php the_title(); ?></h2>
        <div class="postmetadata top">
    	<?php the_time('F jS, Y') ?>&nbsp;<?php _e('by','wph5'); ?>
        <?php the_author_posts_link(); ?> -       
        <?php the_category(', ') ?> -
    	<?php comments_popup_link('No Comments &#187;', '1 Comment &#187;', '% Comments &#187;'); ?>
        <?php edit_post_link('Edit', ' - ', ''); ?>		
        </div>
        <p><?php echo substr(strip_tags($post->post_content), 0, 120) . '...'; ?><br />
        <a href="<?php the_permalink(); ?>" class="readmore">Read more</a>
        </p>

<?php } else
        if (is_single() || is_page()) {

           if ( has_post_thumbnail() ) { ?>
            <figure class="post-image alignleft">               
                    <img src="<?php bloginfo('stylesheet_directory') ?>/timthumb.php?src=<?php echo $large_image_url[0]; ?>&h=250&w=525" alt=""/></figure>
                    <?php } ?>
            <h2 class="permalink"><?php the_title(); ?></h2>
            <?php if(is_single()) { ?>
        <div class="postmetadata top">
    	<?php the_time('F jS, Y') ?>&nbsp;<?php _e('by','wph5'); ?>
        <?php the_author_posts_link(); ?> -       
        <?php the_category(', ') ?> -
    	<?php comments_popup_link('No Comments &#187;', '1 Comment &#187;', '% Comments &#187;'); ?>
        <?php edit_post_link('Edit', ' - ', ''); ?>		
        </div>
        <?php } ?>
        <br />
           <?php
            
            the_content();

        } else
            if (is_archive() || is_author() || is_category() || is_tag() || is_search()) {
                
                if ( has_post_thumbnail() ) { ?>
        
            <figure class="post-image alignleft">
                <a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title_attribute(); ?>">
                    <img src="<?php bloginfo('stylesheet_directory') ?>/timthumb.php?src=<?php echo $large_image_url[0]; ?>&h=150&w=185" alt=""/></a></figure>
       <?php } ?>
        
        <h2 class="permalink"><?php the_title(); ?></h2>
        <div class="postmetadata top">
    	<?php the_time('F jS, Y') ?>&nbsp;<?php _e('by','wph5'); ?>
        <?php the_author_posts_link(); ?> -       
        <?php the_category(', ') ?> -
    	<?php comments_popup_link('No Comments &#187;', '1 Comment &#187;', '% Comments &#187;'); ?>
        <?php edit_post_link('Edit', ' - ', ''); ?>		
        </div>
        <p><?php echo substr(strip_tags($post->post_content), 0, 120) . '...'; ?><br />
        <a href="<?php the_permalink(); ?>" class="readmore">Read more</a>
        </p> 
        <?php } ?>

</section>
<div class="clear"></div>
<?php wp_link_pages( array( 'before' => '<nav class="page-link">' . __( 'Pages:', 'wph5' ), 'after' => '</nav>' ) ); ?>


<?php
}
/** ======================================================================================
 * bottom                                                                         bottom
 * ====================================================================================== */
function lizatom_entry_bottom_func() { ?>

<?php
if ( is_single() || is_home() || is_archive() || is_search() ) {
?>

<!--
<footer class="article-bottom">
	<?php the_tags('Tags: ', ', ', '<br />'); ?> Posted in <?php the_category(', ') ?>
	<?php comments_popup_link('No Comments &#187;', '1 Comment &#187;', '% Comments &#187;'); ?>
</footer>
-->

<?php } ?>

<?php
}
?>