<?php 
/**
 * Template: wph5comments.php
 *
 * @package Magdala
 * @subpackage Template
 */

function lizatom_commentform() { ?>

<form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">
    <?php if ($user_ID): ?>
    <p>
        Logged in as <a href="<?php echo get_option('siteurl'); ?>/wp-admin/profile.php"><?php echo $user_identity; ?></a>. <a href="<?php echo wp_logout_url(get_permalink()); ?>" title="Log out of this account">Log out &raquo;</a>
    </p>
    <?php else : ?>
    <p>
    	<label for="author">
            <small>
                Name <?php if ($req) echo "(required)"; ?>
            </small>
        </label>
        <input type="text" name="author" id="author" value="<?php echo $comment_author; ?>" size="22" tabindex="1" <?php if ($req) echo "aria-required='true'"; ?>/>        
    </p>
    <p>
    	<label for="email">
            <small>
                Mail (will not be published) <?php if ($req) echo "(required)"; ?>
            </small>
        </label>
        <input type="text" name="email" id="email" value="<?php echo $comment_author_email; ?>" size="22" tabindex="2" <?php if ($req) echo "aria-required='true'"; ?>/>        
    </p>
    <p>
    	<label for="url">
            <small>
                Website
            </small>
        </label>
        <input type="text" name="url" id="url" value="<?php echo $comment_author_url; ?>" size="22" tabindex="3" />        
    </p>
    <?php endif; ?>
    <!--<p><small><strong>XHTML:</strong> You can use these tags: <code><?php echo allowed_tags(); ?></code></small></p>-->
    <p>
        <textarea name="comment" id="comment" cols="100%" rows="10" tabindex="4"></textarea>
    </p>
    <p>
        <button name="submit" type="submit" id="submit" class="submit-button" tabindex="5" value="Submit">Submit</button>
        <?php comment_id_fields(); ?>
    </p>
    <?php do_action('comment_form', $post->ID); ?>
</form>
<?php } 

function lizatom_comment_function($comment, $args, $depth)
{
    $GLOBALS['comment'] = $comment; ?>
<li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
	<div id="comment-<?php comment_ID(); ?>">
		
		<!-- vcard  -->
		<div class="comment-author vcard">
		<?php echo get_avatar($comment, $size = '48', $default = 'path_to_url'); ?>		
		<?php printf(__('<cite class="fn">%s</cite>  <span class="says">says:</span>'),
get_comment_author_link()) ?>
		</div>
		<!-- end vcard  -->
		
		<!-- comment meta  -->
		<div class="comment-meta commentmetadata"><a href="<?php echo htmlspecialchars(get_comment_link
($comment->comment_ID)) ?>">
		<?php printf(__('%1$s at %2$s'), get_comment_date(), get_comment_time()) ?></a><?php edit_comment_link(__
('(Edit)'), '  ', '') ?>
		</div>
		<!-- end comment meta  -->
	    
		<!-- ..awaiting moderatiom  -->
		<?php if ($comment->comment_approved == '0'): ?>
		<em><?php _e('Your comment is awaiting moderation.') ?></em>
		<br />
		<?php endif; ?>
		<!-- end ..awaiting moderatiom  -->
		     <div class="clear"></div>
	         <!-- comment text  -->
		     <div class="text"><?php comment_text() ?></div>
			 <!-- end comment text  -->
			 
		<!-- reply button  -->	 
		<?php if (($args['max_depth'] != $depth) && ($args['max_depth'] > 1)) { ?>
		<div class="reply">
		<?php comment_reply_link(array_merge($args, array('depth' => $depth,
'max_depth' => $args['max_depth']))) ?>
		</div>
		<?php } ?>
		<!-- end reply button  -->
		
	</div>  
<?php } 
function lizatom_trackback_function($comment, $args, $depth)
{
    $GLOBALS['comment'] = $comment; ?>
<li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
	<div id="comment-<?php comment_ID(); ?>">
		
		<!-- vcard  -->
		<div class="comment-author vcard">		
		<?php printf(__('<cite class="fn">%s</cite>'), get_comment_author_link()) ?>
		</div>
		<!-- end vcard  -->
		
		<!-- comment meta  -->
		<div class="comment-meta commentmetadata"><a href="<?php echo htmlspecialchars(get_comment_link
($comment->comment_ID)) ?>">
		<?php printf(__('%1$s at %2$s'), get_comment_date(), get_comment_time()) ?></a><?php edit_comment_link(__
('(Edit)'), '  ', '') ?>
		</div>
		<!-- end comment meta  -->	    
		
	         <!-- comment text  -->
		     <!--
<div class="text"><?php comment_text() ?></div>
-->
			 <!-- end comment text  -->
		
	</div>  
<?php } ?>