<?php
/**
 * Template: wph5navpages.php
 *
 * @package Magdala
 * @subpackage Template
 */

function lizatom_navpages_func()
{ global $post, $wp_query; ?>

<?php
    if (function_exists('wp_pagenavi')) {
        wp_pagenavi();
    } else {
?>

<!-- single -->
<?php if (is_single()) { ?>

<?php if ( is_attachment() ) { ?>

<!-- single image attachment-->
<?php if ( wp_attachment_is_image() ) { ?>
<nav id="img-navigation">
    <div class="img-previous">
    <?php previous_image_link( array( 100, 100 ) ); ?>
    <div class="link"><?php previous_image_link( false, 'Previous Image' ); ?></div>
    </div>
    <div class="img-next">
    <?php next_image_link( array( 100, 100 ) ); ?>
    <div class="link"><?php next_image_link( false, 'Next Image' ); ?></div>
    </div>
</nav>
<?php } } else { ?>

<nav class="navigation">
    <div class="next">
	   <?php previous_post_link('%link', '&larr; %title', false, ''); ?>	     
    </div>
    <div class="previous">
	   <?php next_post_link('%link', '%title &rarr;', false, ''); ?>            
    </div>
</nav>
<?php } ?>

<!-- search -->
<?php } else if ( is_search() ) { ?>

<?php lizatom_pagination(); ?>

<!-- archives -->
<?php } else if ( $wp_query->max_num_pages > 1 ) { ?>

<?php lizatom_pagination(); ?>

<?php } ?>
<div class="clear"></div>


<?php
/*better wp pagination, great for custom pages that need pagination*/
/* global $wp_query;
        pagination($wp_query, get_bloginfo('home') . "/");*/ ?>

<?php
    }
}
add_action('lizatom_navpages', 'lizatom_navpages_func');
?>