<?php
/*
Template name: Portfolio-4-Columns
*/
/**
* Template: page.php
*
* @package Magdala
* @subpackage Template
*/
get_header(); 

global $lizatom_options;
?>


<?php $categ_ID = get_cat_ID($lizatom_options->portfolio_cat); ?>
<!-- this isnt part of the plugin, just a control for demo -->
<ul class="splitter">
    <li>Show:
        <ul>
        <li class="segment-0 selected-0"><a data-value="all" href="#">All</a></li>
        <?php $childCats = get_categories( array('child_of' => $categ_ID) ); ?>
            <?php $segment=1; foreach($childCats as $child){ ?>
              <li class="segment-<?php echo $segment; ?>">
              <a href="#" data-value="<?php echo $child->slug; ?>"><?php echo $child->name; ?></a>
              </li>       
        <?php $segment++; } ?>
        </ul>
    </li>
</ul>


  <ul id="list" class="image-grid">          
  <?php $recent = new WP_Query(); ?>
        <?php $recent->query('cat='.$categ_ID.'&posts_per_page=-1'); ?>
        <?php $data_id=0; while($recent->have_posts()) : $recent->the_post(); $data_id++; ?>          
             <li data-id="<?php echo $data_id; ?>" class="<?php foreach((get_the_category()) as $category ) { echo $category->slug . ' '; } ?> one-fourth <?php if($data_id%4==0) echo 'last'; ?>" data-id="id-<?php echo $dataid; ?>">
                
                <?php $large_image_url = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'large'); ?>
                <figure class="post-image">
                <a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title_attribute(); ?>">
                    <img src="<?php bloginfo('stylesheet_directory') ?>/timthumb.php?src=<?php echo $large_image_url[0]; ?>&h=150&w=185" alt=""/></a></figure>
                
                <h2><?php the_title(); ?></h2>
                <p><?php echo substr(strip_tags($post->post_content), 0, 100) . '...'; ?><br />
                <a href="<?php the_permalink(); ?>" class="readmore">Read more</a></p>
             </li>
        <?php endwhile; wp_reset_query(); ?> 
  </ul>



<?php get_footer(); ?>