<?php if ( is_user_logged_in() ):?>

	<?php $lizatomthemes =  THEME_DIR.'/admin/';?>
	
	<script type="text/javascript">
	    var lizatomThemes = "<?php echo THEME_DIR; ?>";
	</script>

	<div id="lizatomthemes_framework" class="wrap">
	    
		<?php ltfw_admin_header(); ?>
    
		<form method="post" enctype="multipart/form-data" action="" id="theme-options" name="theme-options">
		    
		<?php //Security Nonce For Cross Site Hacking
        wp_nonce_field('save_lizatomthemes','ltfw'); ?>
           
		<div class="button-zone-wrapper zone-top">
		    <div class="button-zone">
			<span class="top">
			    
			    <button class="save" id="lizatom_save" name="lizatom_save" type="submit"><?php _e("Save Changes","ltfw"); ?></button>
                <button class="button" type="reset"><?php _e("Discard Changes","ltfw"); ?></button>
			</span>
		    </div><!-- .button-zone -->
		</div><!-- /.button-zone-wrapper -->
		<div class="admin-messages">
        <span class="formState"><?php _e("Theme options have changed. Make sure to save.","ltfw"); ?></span>
        </div>
        <div class="clear"></div>
		<div id="lizatom_main">

				<div id="lizatom_sidebar">
				
					<div id="lizatom_nav" class="box">
						
						<ul>
							<?php //Create dynamic tab links from array
							global $lizatom_tabs;
							    foreach ($lizatom_tabs as $tab):
								foreach($tab as $title => $shortname):?>
								    <li class="<?php echo $shortname?>"><a href="#<?php echo $shortname?>"><?php echo $title?></a></li>
								<?php endforeach;
							    endforeach;?>
							<li class="import-export"><a href="#import-export"><?php _e("Import/Export","ltfw"); ?></a></li>
						</ul>
									
					</div><!-- /#lizatom_nav -->
				
				</div><!-- /#lizatom_sidebar -->
				
				<div id="lizatom_content">
					<div id="tabber">
					    <?php //Create dynamic tabs from array
					    foreach ($lizatom_tabs as $order => $tab):
						foreach($tab as $title => $shortname):?>
						    <div id="<?php echo $shortname?>">
							<h3><?php echo $title?></h3>
							<ul class="feature-set">
							    <?php require_once (THEME_PATH . '/theme-options/'.$shortname.'_'.$order.'.php'); ?>
							</ul>										
						    </div><!-- /#<?php echo $shortname?> -->
						<?php endforeach;
					    endforeach;?>
					    </form>
					    <div id="import-export">
						<h3><?php _e("Import/Export","ltfw"); ?></h3>
						<ul class="feature-set">
						    <?php require_once (THEME_PATH . '/admin/import-export.php'); ?>
						</ul>										
					    </div><!-- /#import-export -->
				
					</div><!-- /#tabber -->

				</div><!-- /#lizatom_content -->
			
				<div class="clear"></div>
              <div class="admin-messages">
                <span class="formState"><?php _e("Theme options have changed. Make sure to save.","ltfw"); ?></span>
                </div>              
			<div class="button-zone-wrapper zone-bottom">
			    <div class="button-zone">
				<span class="top">				   
				    <button class="save" id="lizatom_save" name="lizatom_save" type="submit"><?php _e("Save Changes","ltfw"); ?></button>
				    <button class="button" type="reset"><?php _e("Discard Changes","ltfw"); ?></button>
				</span>
			    </div><!-- .button-zone -->
			</div><!-- /.button-zone-wrapper -->
			
			</div><!-- /#lizatom_container -->
		
		<div id="lizatom_footer">
		
			<ul>
				<li><?php echo LIZATOM_NAME; ?>, <?php _e("Version","ltfw"); ?> <?php echo LIZATOM_THEME_VER; ?></li>
				<li><a href="http://lizatom.com"><?php _e("Lizatom Framework","ltfw"); ?></a></li>
			</ul>
		
		</div><!-- /#lizatom_footer -->
		
		</form>

	</div><!-- /#lizatomthemes_framework -->

<?php else: _e("You must be logged in to view this page","ltfw"); endif;?>