<?php
/**
 * Template: comments.php
 *
 * @package Magdala
 * @subpackage Template
 */

// Do not delete these lines
if (!empty($_SERVER['SCRIPT_FILENAME']) && 'comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
die ('Please do not load this page directly. Thanks!');

if ( post_password_required() ) { ?>
<p class="nocomments">This post is password protected. Enter the password to view comments.</p>
<?php
return;
}
?>

<!-- You can start editing here. -->

<?php if ( have_comments() ) : ?>
<h3 id="comments"><?php comments_number('No Responses', 'One Response', '% Responses' );?> to &#8220;<?php the_title(); ?>&#8221;</h3>

<div class="navigation comments">
<div class="alignleft"><?php previous_comments_link() ?></div>
<div class="alignright"><?php next_comments_link() ?></div>
</div>

<!-- http://codex.wordpress.org/Template_Tags/wp_list_comments -->
<ol class="commentlist">
<?php wp_list_comments(array('type'=>comment, 'callback'=>lizatom_comment_function, 'reply_text'=>'Reply')); ?>
</ol>
<!-- pings -->
<?php
global $wpdb;
$post_id = get_the_ID();
//$total_ping_count = $wpdb->get_var("SELECT count(comment_id) FROM $wpdb->comments WHERE comment_type = 'pingback'");
//$total_approved_pings = $wpdb->get_var("SELECT count(comment_id) FROM $wpdb->comments WHERE comment_type = 'pingback' and comment_approved = 1");
$post_ping_count = $wpdb->get_var("SELECT count(comment_id) FROM $wpdb->comments WHERE comment_type = 'pingback' and comment_approved = 1 and comment_post_id = $post_id");
$post_track_count = $wpdb->get_var("SELECT count(comment_id) FROM $wpdb->comments WHERE comment_type = 'trackback' and comment_approved = 1 and comment_post_id = $post_id");
//echo "The total number of pings on this site is $total_ping_count.\n";
//echo "The total number of approved pings on this site is $total_approved_pings.\n";
//echo "The total number of approved pings on this post is $post_ping_count.\n";
?>

<?php if(($post_ping_count>0)) { ?>
<h3 id="comments"><?php echo ($post_ping_count+$post_track_count) . _e(" Trackbacks/Pingbacks"); ?></h3>
<ol class="commentlist">
<?php wp_list_comments(array ('type'=>pings, 'callback'=>lizatom_trackback_function)); ?>
</ol>
<?php } ?>

<div class="navigation">
<div class="alignleft"><?php previous_comments_link() ?></div>
<div class="alignright"><?php next_comments_link() ?></div>
</div>
<div class="clear"></div>
<?php else : // this is displayed if there are no comments so far ?>

<?php if ('open' == $post->comment_status) : ?>
<!-- If comments are open, but there are no comments. -->

<?php else : // comments are closed ?>
<!-- If comments are closed. -->
<p class="nocomments">Comments are closed.</p>

<?php endif; ?>
<?php endif; ?>

<?php if ('open' == $post->comment_status) : ?>

<div id="respond">

<h3><?php comment_form_title( 'Leave a Reply', 'Leave a Reply to %s' ); ?></h3>

<?php if ( get_option('comment_registration') && !$user_ID ) : ?>
<p>You must be <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?redirect_to=<?php echo urlencode(get_permalink()); ?>">logged in</a> to post a comment.</p>
<?php else : ?>

<?php lizatom_commentform(); ?>

<?php endif; // If registration required and not logged in ?>
<div class="cancel-comment-reply">
<small><?php cancel_comment_reply_link(); ?></small>
</div>

</div>

<?php endif; // if you delete this the sky will fall on your head ?>