 <?php 
 /**
 * Template: index.php
 *
 * @package Magdala
 * @subpackage Template
 */

 get_header(); ?>

    <?php if (have_posts()): ?>    
    
    <?php /* If this is a category archive */
    if (is_category()) { ?>
    	<h2 class="archive-heading"><?php single_cat_title(); ?></h2>
    	<?php $catdesc = category_description();
        if (stristr($catdesc, '<p>')) {
            echo '<div class="catdesc">' . $catdesc . '</div>';
        } ?>   
    <?php /* If this is a tag archive */
    } elseif (is_tag()) { ?>
    	<h2 class="archive-heading"><?php printf(__("Posts Tagged &#8216; %s &#8217;",
    "wph5"), single_tag_title('', false)); ?></h2>
    <?php /* If is author archive */
    } elseif (is_author()) { ?>
    	<h2 class="archive-heading"><?php _e("Articles by ", "wph5"); the_author_posts_link(); ?></h2>
    <?php /* If this is a daily archive */
    } elseif (is_day()) { ?>
    	<h2 class="archive-heading"><?php _e("Archive for ", "wph5") . the_time('F jS, Y'); ?></h2>
    <?php /* If this is a monthly archive */
    } elseif (is_month()) { ?>
    	<h2 class="archive-heading"><?php _e("Archive for ", "wph5") . the_time('F, Y'); ?></h2>
    <?php /* If this is a yearly archive */
    } elseif (is_year()) { ?>
    	<h2 class="archive-heading"><?php _e("Archive for ", "wph5") . the_time('Y'); ?></h2>
    <?php /* If this is an author archive */
    } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
    	<h2 class="archive-heading"><?php _e("Blog Archives", "wph5"); ?></h2>
    <?php /* If this is a search page */
    } elseif (is_search()) { ?>         
    <h2 id="archive-heading"><?php printf( __( 'Search Results for: %s' ), '<span>' . get_search_query() . '</span>' ); ?></h2>   
    <?php } ?>
        
    <?php while (have_posts()): the_post(); ?>              
       
       <!-- Begin post-content -->
       <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>               
         
        <?php lizatom_entry_top(); ?>    
        		    
		<?php lizatom_entry(); ?>    
                   
		<?php lizatom_entry_bottom(); ?> 
        				             
       </article>
       <!-- close post-content -->
       
    <?php endwhile; ?>
    
    <?php lizatom_navpages(); // navigation ?>            
 
    <?php else: ?>
    
    <?php lizatom_not_found(); // page not found ?>            
    
    <?php endif; ?>        
    
<?php get_footer(); ?>