<?php

global $lizatom_styles, $lizatom_layouts;

$options = array ( 

array(  "name" => "Custom favicon",
        "desc" => "Upload your your image or select from the gallery. (16x16px)",
        "id" => "custom_favicon",
        "type" => "image",
        "value" => "Upload Your favicon",
        "url" => get_bloginfo('template_directory')."/images/favicon.gif"
), 

array(	
        "name" => "Custom Logo or Site Title",
        "desc2" => "What do you want to display? You can set your site's title here " . get_bloginfo('home') . "/wp-admin/options-general.php",
        "desc" => sprintf( ( 'Display logo or site title <a href="%1$s/wp-admin/options-general.php" target="_blank"><em>(click here to edit site title)</em></a>'), esc_url( get_option('siteurl') ) ),
        "id" => "site_name",
        "type" => "select",
        "default_text" => "Choose one option",
        "value" => "display_logo",
        "options" => array("Display logo" => "display_logo","Display site title" => "display_title"
)),     

array( 
        "name" => "Logo Image",
        "desc" => "Upload your your image or select from the gallery. (200x90px)",
        "id" => "custom_logo",
        "type" => "image",
        "value" => "Upload Your Logo",
        "url" => get_bloginfo('template_directory')."/images/logo.png"
),

/*array(  
        "name" => "Choose Your Color Scheme",
        "desc" => "Choose the color scheme you would like to use.",
        "id" => "theme",
        "type" => "select",
        "value" => "dark",
        "options" => array(
        'Dark Theme' => 'dark',
        'Light Theme'=> 'light')
),*/
  
array(	
        "name" => "Disable breadcrumbs",
        "desc" => "Disable breadcrumbs...",
        "id" => "breadcrumb_disable",
        "type" => "select",
        "default_text" => "Choose one option",
        "value" => "yes",
        "options" => array("Yes" => "yes","No" => "no"
)),  

array(	
        "name" => "Disable Cufon",
        "desc" => "Disable Cufon...",
        "id" => "cufon_disable",
        "type" => "select",
        "default_text" => "Choose one option",
        "value" => "yes",
        "options" => array("Yes" => "yes","No" => "no")),

 array(
        "name" => "Portfolio category.",
		"desc" => "Choose category in which portfolio is stored.",
		"id" => "portfolio_cat",
		"type" => "category"
    )                      
);


/* ------------ Do not edit below this line ----------- */

//Check if theme options set
global $default_check;
global $default_options;

if(!$default_check):
    foreach($options as $option):
        if($option['type'] != 'image'):
            $default_options[$option['id']] = $option['value'];
        else:
            $default_options[$option['id']] = $option['url'];
        endif;
    endforeach;
    $update_option = get_option('lizatom_themes_'.LIZATOM_SHORT_NAME);
    if(is_array($update_option)):
        $update_option = array_merge($update_option, $default_options);
        update_option('lizatom_themes_'.LIZATOM_SHORT_NAME, $update_option);
    else:
        update_option('lizatom_themes_'.LIZATOM_SHORT_NAME, $default_options);
    endif;
endif;

render_options($options);

?>