<?php

global $lizatom_styles, $lizatom_layouts;

$options = array ( 
 
array(	
    "name" => "Twitter Username",
    "desc" => "Enter your Twitter username here",
    "id" => "twitter_sociable",
    "type" => "text"),	
array(	
    "name" => "Twitter Icon",
    "desc" => "Enable /  Disable the Twitter icon",
    "id" => "twitter_sociable_disable",
    "type" => "select",
    "value" => "disable",
    "default_text" => "Choose one option:",
    "options" => array("Enable"=>"enable","Disable"=>"disable")),   

array(	
    "name" => "Facebook ID",
    "desc" => "Enter your Facebook ID here",
    "id" => "facebook_sociable",
    "type" => "text"),	
array(	
    "name" => "Facebook Icon",
    "desc" => "Enable /  Disable the Facebook icon",
    "id" => "facebook_sociable_disable",
    "type" => "select",
    "value" => "disable",
    "default_text" => "Choose one option:",
    "options" => array("Enable"=>"enable","Disable"=>"disable")), 

array(	
    "name" => "LinkedIn URL",
    "desc" => "Enter your Twitter username here",
    "id" => "linkedin_sociable",
    "type" => "text"),	
array(	
    "name" => "LinkedIn Icon",
    "desc" => "Enable /  Disable the LinkedIN icon",
    "id" => "linkedin_sociable_disable",
    "type" => "select",
    "value" => "disable",
    "default_text" => "Choose one option:",
    "options" => array("Enable"=>"enable","Disable"=>"disable")),    

array(	
    "name" => "Email",
    "desc" => "Enter your Email here",
    "id" => "email_sociable",
    "type" => "text"),	
array(	
    "name" => "Email Icon",
    "desc" => "Enable /  Disable the Email icon",
    "id" => "email_sociable_disable",
    "type" => "select",
    "value" => "disable",
    "default_text" => "Choose one option:",
    "options" => array("Enable"=>"enable","Disable"=>"disable")), 

array(	
    "name" => "RSS",
    "desc" => "Enter your Feedburner URL here (leave this field blank to use WordPress's built-in feed)<br /><em>" .get_bloginfo('rss2_url'). "</em>",
    "id" => "rss_sociable",
    "type" => "text"),	
array(	
    "name" => "RSS Icon",
    "desc" => "Enable /  Disable the RSS icon",
    "id" => "rss_sociable_disable",
    "type" => "select",
    "value" => "disable",
    "default_text" => "Choose one option:",
    "options" => array("Enable"=>"enable","Disable"=>"disable")),                    
    );


/* ------------ Do not edit below this line ----------- */

//Check if theme options set
global $default_check;
global $default_options;

if(!$default_check):
    foreach($options as $option):
        if($option['type'] != 'image'):
            $default_options[$option['id']] = $option['value'];
        else:
            $default_options[$option['id']] = $option['url'];
        endif;
    endforeach;
    $update_option = get_option('lizatom_themes_'.LIZATOM_SHORT_NAME);
    if(is_array($update_option)):
        $update_option = array_merge($update_option, $default_options);
        update_option('lizatom_themes_'.LIZATOM_SHORT_NAME, $update_option);
    else:
        update_option('lizatom_themes_'.LIZATOM_SHORT_NAME, $default_options);
    endif;
endif;

render_options($options);

?>